# -*- coding: UTF-8 -*-
from gm_dataquery.dataquery import DataBuilder, DataSQLQuery
from gm_dataquery.db import DB
from api.models.face.skin_conf import (
    SkinAge,
    SkinOil,
    Heitou,
    Acne,
    Smoothlevel,
    HeiYanQuan,
    SkinColor,
    ActWrinkle,
    EyeBag,
)


class SkinAgeDB(DataBuilder):
    pass


@DB
class SkinAgeDQ(DataSQLQuery):
    model = SkinAge
    data_model = SkinAgeDB


class SkinOilDB(DataBuilder):
    pass


@DB
class SkinOilDQ(DataSQLQuery):
    model = SkinOil
    data_model = SkinOilDB


class HeitouDB(DataBuilder):
    pass


@DB
class HeitouDQ(DataSQLQuery):
    model = Heitou
    data_model = HeitouDB


class AcneDB(DataBuilder):
    pass


@DB
class AcneDQ(DataSQLQuery):
    model = Acne
    data_model = AcneDB


class SmoothlevelDB(DataBuilder):
    pass


@DB
class SmoothlevelDQ(DataSQLQuery):
    model = Smoothlevel
    data_model = SmoothlevelDB


class HeiYanQuanDB(DataBuilder):
    pass


@DB
class HeiYanQuanDQ(DataSQLQuery):
    model = HeiYanQuan
    data_model = HeiYanQuanDB


class SkinColorDB(DataBuilder):
    pass


@DB
class SkinColorDQ(DataSQLQuery):
    model = SkinColor
    data_model = SkinColorDB


class ActWrinkleDB(DataBuilder):
    pass


@DB
class ActWrinkleDQ(DataSQLQuery):
    model = ActWrinkle
    data_model = ActWrinkleDB


class EyeBagDB(DataBuilder):
    pass


@DB
class EyeBagDQ(DataSQLQuery):
    model = EyeBag
    data_model = EyeBagDB
